AKBD(4)

NAME
akbd - ADB Keyboard Driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device adb

DESCRIPTION
The akbd driver provides support for all keyboards attached to the Apple Desktop Bus (ADB).

HARDWARE
Devices supported by the akbd driver include:

•   Apple Extended Keyboard
•   Apple Keyboard II
•   Apple iBook Keyboard
•   Apple PowerBook Keyboard

EVENTS
The akbd driver sends events to devd(8) for the following events under the PMU system:

•   Power button - Button subsystem, pressed type.

SYSCTL VARIABLES
The akbd driver supports the following sysctl variable for configuring the Fn keys:

dev.akbd.%d.fn_keys_function_as_primary
    Set the Fn keys to be their F-key type as default. A value of 0 causes the F-keys keys to work as special keys by default ( abtn(4)) and a value of 1 sets them to behave as F-keys by default.

SEE ALSO
abtn(4), adb(4), cuda(4), pmu(4)

HISTORY
The akbd device driver appeared in FreeBSD 8.0.

AUTHORS
-nosplit The akbd driver was written by Nathan Whitehorn <nwhitehorn@FreeBSD.org>.